Description

CK2:AGOT 1.3 Checksum: NOON Compatible with: CK2 2.6.2

Preview
CK2:AGOT 1.3- Zipped Files
Comments
Inquisitor956
Inquisitor956

Nice! So this means I could potentially start a campaign long before the War of Conquest? Because I REALLY want to play during the Age of Heroes when House Stark was unifying the North and all the other kingdoms were still developing!

Reply Good karma Bad karma+2 votes
bayden420
bayden420

hope multiplayer is fix

Reply Good karma Bad karma+1 vote
Guest
Guest

Hey thanks for the mod, I enjoy it! :D

Reply Good karma Bad karma+1 vote
simixdark
simixdark

witch version it's compatible!?

Reply Good karma Bad karma+1 vote
justincheech1
justincheech1

I might be downloading this wrong...but when I start a game.. as soon as I get in the game turns off...I have re downloaded multiple times...and also for some reason my ck2 dosent have 2.6.2 available to choose under betas..anyone out there that can help?

Reply Good karma Bad karma+2 votes
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Guest
Guest

the message I get is that the checksum isn't compatible but i'm using the most recent mod version

Reply Good karma Bad karma+1 vote
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Guest
Guest

This comment is currently awaiting admin approval, join now to view.

kullm82
kullm82

been playing for a month and still working great!

Reply Good karma Bad karma+1 vote
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.